Google Maps Navigation: minimum Android version?

Discussion in 'Android Apps & Games' started by allanlewis, Jun 25, 2010.

  1. allanlewis

    allanlewis New Member
    5

    Jun 25, 2010
    1
    0
    5
    London, UK
    Does anyone know the minimum version of Android that the latest Google Maps with Navigation will work on? I can't find this on Google's website.
     

    Advertisement
  2. gcherian

    gcherian Member
    6

    Mar 22, 2010
    6
    2
    6
    1.6
     
    allanlewis likes this.

Share This Page

Loading...